/*-----------------------------------------------------------------------------
 * Name:    Joystick.h
 * Purpose: Joystick definitions
 *-----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2013 KEIL - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#ifndef __JOYSTICK_H
#define __JOYSTICK_H

#include <stdint.h>

#define JOY_UP        (1UL <<  0)
#define JOY_LEFT      (1UL <<  1)
#define JOY_DOWN      (1UL <<  2)
#define JOY_RIGHT     (1UL <<  3)
#define JOY_CENTER    (1UL << 10)

/* Joystick Definitions */
extern void     Joystick_Initialize    (void);
extern void     Joystick_Uninitialize  (void);
extern uint32_t Joystick_GetButtons (void);

#endif /* __JOYSTICK_H */
