/*----------------------------------------------------------------------------
 *      RL-ARM - RTX
 *----------------------------------------------------------------------------
 *      Name:    BLinky.c
 *      Purpose: RTX example program
 *----------------------------------------------------------------------------
 *      This code is part of the RealView Run-Time Library.
 *      Copyright (c) 2004-2014 KEIL - An ARM Company. All rights reserved.
 *---------------------------------------------------------------------------*/

#include "cmsis_os.h"
#include "rl_usb.h"
#include "GLCD.h"
#include "LED.h"
#include "Joystick.h"                   // Keil.MCB1500::Board Support:MCB1500:Joystick

int main (void) {
  uint8_t but;
  int8_t  joyMsk;
  int8_t joy  = 0xF;
  
  LED_Initialize     ();
  Joystick_Initialize();
  GLCD_Initialize    ();
  
  GLCD_Clear         (Blue);
  GLCD_SetBackColor  (Blue);
  GLCD_SetTextColor  (White);
  GLCD_DisplayString (0, 0, 1, "    USB Device      ");
  GLCD_DisplayString (1, 0, 1, "    HID Class       ");
  GLCD_DisplayString (2, 0, 1, "    HID Example     ");
  GLCD_DisplayString (4, 0, 1, "  USB:  HID         ");
  GLCD_DisplayString (8, 0, 1, "  Keil Tools by ARM ");
  GLCD_DisplayString (9, 0, 1, "    www.keil.com    ");

  USBD_Initialize    (0);               /* USB Device 0 Initialization        */
  USBD_Connect       (0);               /* USB Device 0 Connect               */
  

  while (1) {                           /* Loop forever                       */
    joyMsk = (uint8_t)(Joystick_GetButtons ());
    if (joy ^ joyMsk) {
      joy = joyMsk;
      but = ~joy & 0xF;
      USBD_HID_GetReportTrigger(0, 0, (const uint8_t *)&but, 1);
    }
    osDelay(100);                       /* 100 ms delay for sampling buttons  */
  }
}
